CFGGGNEW
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE USE CONNECTICUT                              C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCC --- to write some string
      CHARACTER(50) :: CHAR
CCC --- memory for lines and fillings 
      DIMENSION XDES(1000),YDES(1000)
CCC --- position of the boxes (for Mickey Mouse)       
      DIMENSION IPOS(4),JPOS(4)
      COMMON/SIZES/SIZE(4)
      DATA SIZE/4.,4.,1.,1./
      DATA IPOS/1,1900,1900,1/
      DATA JPOS/1,1700,3000,2300/
      
      PI=4*ATAN(1.)
            
CCC --- begin of the GGG environment        
      CALL BEGIN_GGG('arrow4')
CCC --- local coordinates
      XMIN=0.
      XMAX=4.
      YMIN=0.
      YMAX=4.

CCC --- we draw the frames at position (IPOS(IPIC),JPOS(IPIC))
      DO IPIC=1,4
        CALL MICKEY_MOUSE(IPOS(IPIC),JPOS(IPIC),XMIN,XMAX,YMIN,YMAX)
        CALL FRAME
CCC --- FIRST FRAME	
	IF (IPIC.EQ.1) THEN 
CCC --- line thickness	
	  CALL THICK_PIXEL(4)
CCC --- we draw the head     
          CALL BUBBLE(IPOS(IPIC)+1.,JPOS(IPIC)+1.5,7.,1.,'circle')
CCC --- we draw the eyes
          CALL BUBBLE(IPOS(IPIC)+0.8,JPOS(IPIC)+1.65,0.8,1.,'circle')
          CALL BUBBLE(IPOS(IPIC)+1.3,JPOS(IPIC)+1.65,0.8,1.,'circle')
CCC --- we draw a smile      
          NDES=101
          DO IX=1,NDES
            DESM1=NDES-1
            X=IPOS(IPIC)+0.83+0.35*(IX-1)/DESM1
            Y=JPOS(IPIC)+1.2+0.05*SIN(20.*X)
            XDES(IX)=X
            YDES(IX)=Y
          END DO
          CALL THICK_PIXEL(4)
          CALL LING(XDES,YDES,NDES)
	END IF
	
CCC --- SECOND FRAME	
	IF (IPIC.EQ.2) THEN
	  CALL THICK_PIXEL(4)
CCC --- we draw the first head1     
          CALL BUBBLE(1.2,2.2,6.,1.,'circle')
CCC --- we draw the eyes1
          CALL BUBBLE(1.0,2.35,0.8,1.,'circle')
          CALL BUBBLE(1.4,2.35,0.8,1.,'circle')
CCC --- and a smile1     
          CALL THICK_PIXEL(4)
          CALL LINE(1.05,2.03,1.35,2.03)

CCC --- we draw the second head2     
          CALL BUBBLE(2.8,2.2,6.,1.,'circle')
CCC --- we draw the eyes2
          CALL BUBBLE(2.6,2.35,0.7,1.,'xstar')
          CALL BUBBLE(3.,2.35,0.7,1.,'laurel')
CCC --- and a smile2
          ANG=PI
          RAD=0.15
          DO I=1,100
	    XDES(I)=2.8+RAD*COS(ANG+0.03*I)
	    YDES(I)=2.+RAD*SIN(ANG+0.03*I)
          END DO  
          CALL THICK_PIXEL(4)
          CALL SELECT_LINE_TYPE(7)
          CALL LING_OPEN(XDES,YDES,100)
	END IF

CCC --- THIRD FRAME
	IF (IPIC.EQ.3) THEN
	  CALL THICK_PIXEL(4)
CCC --- we draw the first head1     
          CALL BUBBLE(1.2,2.2,6.,1.,'circle')
CCC --- we draw the eyes1
          CALL BUBBLE(1.0,2.35,0.8,1.,'xstar')
          CALL BUBBLE(1.4,2.35,0.8,1.,'laurel')
CCC --- we draw a smile1
          ANG=PI
          RAD=0.15
          DO I=1,100
	    XDES(I)=1.2+RAD*COS(ANG+0.03*I)
	    YDES(I)=2.03+RAD*SIN(ANG+0.03*I)
          END DO  
          CALL THICK_PIXEL(4)
          CALL SELECT_LINE_TYPE(7)
          CALL LING_OPEN(XDES,YDES,100)
CCC --- we draw the second head2     
          CALL BUBBLE(2.8,2.2,6.,1.,'circle')
CCC --- we draw the eyes
          CALL BUBBLE(2.6,2.35,0.7,1.,'xstar')
          CALL BUBBLE(3.,2.35,0.7,1.,'laurel')
CCC --- we draw a smile2
          ANG=PI
          RAD=0.15
          DO I=1,100
	    XDES(I)=2.8+RAD*COS(ANG+0.03*I)
	    YDES(I)=2.+RAD*SIN(ANG+0.03*I)
          END DO  
          CALL THICK_PIXEL(4)
          CALL SELECT_LINE_TYPE(7)
          CALL LING_OPEN(XDES,YDES,100)
	END IF

CCC --- FOURTH FRAME	
	IF (IPIC.EQ.4) THEN
	  CHAR='$\Huge ? ?$'
          CALL TEXT_LATEX(2.,2.,0.,0.,CHAR)
	  CALL SCALE_CHAR(0.6)
	  CHAR='Do not know how to end this story ...'
	  CALL TEXT(0.1,1.5,CHAR)	
	END IF
      END DO
      
CCC --- arrow tip size and cut off 
      AMM=1.3
      PERCENT=14.
      
CCC --- CALL of CONNECTICUT, we connect all the boxes 
CCC --- drawn with the help of MICKEY MOUSE
      
      CALL CONNECTICUT(IPOS(1),JPOS(1),IPOS(2),JPOS(2),AMM,PERCENT)
      CALL CONNECTICUT(IPOS(2),JPOS(2),IPOS(3),JPOS(3),AMM,PERCENT)
      CALL CONNECTICUT(IPOS(3),JPOS(3),IPOS(4),JPOS(4),AMM,PERCENT)
      
CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text
      
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
