CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW ALL THE SYMBOLS IN BUBBLE               C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      CHARACTER (8) :: SYM
      COMMON/SIZES/SIZE(4)
      DATA SIZE/12.5,5.,1.,1./
      
CCC --- begin of the GGG environment        
      CALL BEGIN_GGG('bub1')

      XMIN=0.
      XMAX=12.5
      YMIN=0.
      YMAX=5.

CCC --- AMMBIG is the size of the symbol
CCC --- GREY is the brightness
      
      AMMBIG=2.5
      GREY=0.5

CCC --- size of the characters
      CALL SCALE_CHAR(1.3)
      
CCC --- we draw the frame    
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

CCC --- we draw the symbol SYM at position (XX,YY)
CCC --- and place a text beside
 
      XX=1.
      YY=4.
      SYM='circle'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=3.
      SYM='square'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)     
      
      YY=2.
      SYM='losange'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)   
      
      YY=1.
      SYM='xstar'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
 
      XX=4.
      YY=4.
      SYM='pstar'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=3.
      SYM='utri'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=2.
      SYM='dtri'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=1.
      SYM='umtri'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      XX=7.
      YY=4.
      SYM='dmtri'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
       
      YY=3.
      SYM='hardy'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=2. 
      SYM='laurel'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=1.
      SYM='mpent'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      XX=10.
      YY=4.
      SYM='mhex'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=3.
      SYM='pent'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
      
      YY=2.
      SYM='hex'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)
       
      YY=1.
      SYM='mmhex'      
      CALL BUBBLE(XX,YY,AMMBIG,GREY,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,SYM)

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text

      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
