CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW LINES USING THE SELECT_LINE_TYPE        C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCC --- CTYPE and CCTYPE are strings used to write some 
CCC --- texts beside the lines
      CHARACTER(7) :: CTYPE
      CHARACTER(10) :: CCTYPE
      COMMON/SIZES/SIZE(4)
      DATA SIZE/10.,4.4,1.,1./
 
CCC --- begin of the GGG environment  
      CALL BEGIN_GGG('line1')

      XMIN=0.
      XMAX=1.
      YMIN=0.
      YMAX=1.
      CTYPE='ITYPE='
      
CCC --- we draw the frame
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
      
CCC --- we draw 8 lines with different line type
CCC --- and place a string beside
      
      DO ITYP=0,7
CCC --- thisckness of the lines      
        CALL THICK_PIXEL(8)
CCC --- select the line type	
	CALL SELECT_LINE_TYPE(ITYP)
        YY=0.1+0.9*ITYP/8.
        CALL LINE(0.05,YY,0.6,YY)
CCC --- thisckness of the texts
	CALL THICK_PIXEL(4)
	CCTYPE=CTYPE//char(48+ITYP)
	CALL TEXT(0.65,YY-0.03,CCTYPE)
      END DO	

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text

      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
