CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW A SINE USING LING                       C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCC --- XDES,YDES ---> points for the curve (x,sin(x))
CCC --- 100 ---> number of points for the curve      
      DIMENSION XDES(100),YDES(100)
      COMMON/SIZES/SIZE(4)
      DATA SIZE/5.,4.,1.,1./
      PI=4*ATAN(1.)
      
CCC --- begin of the GGG environment
      CALL BEGIN_GGG('line3')

      XMIN=-PI+0.2
      XMAX=PI
      YMIN=-1.
      YMAX=1.
CCC --- we draw the frame
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

CCC --- we draw a line connecting the points XDES(I),YDES(I) 
      
      NDES=50
      DO I=1,NDES
         XDES(I)=-PI+I*(2.*PI)/NDES
	 YDES(I)=SIN(XDES(I))
      END DO
      CALL LING(XDES,YDES,NDES)
CCC --- we place a text      
      CALL TEXT(-2.5,0.7,'Sine function')
 
CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text
     
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
