CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                         C
C  WE FILL TWO TRIANGLES                  C 
C                                         C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCC --- XDES,YDES ---> coordinates of the triangles
      PARAMETER(NDES=3)
      DIMENSION :: XDES(NDES),YDES(NDES)
      COMMON/SIZES/SIZE(4)
      DATA SIZE/4.,4.,1.,1./
      
CCC --- begin of the GGG environment      
      CALL BEGIN_GGG('misc2')

      XMIN=0.
      XMAX=4.
      YMIN=0.
      YMAX=4.
      GREY=0.5
 
      CALL SCALE_CHAR(1.)
      
CCC --- we draw the first frame       
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
      
      XDES(1)=1.
      XDES(2)=3.
      XDES(3)=2.
      YDES(1)=1.5
      YDES(2)=1.5
      YDES(3)=3.5
CCC --- we fill a triangle with border      
      CALL CLOSE_FILL(XDES,YDES,NDES,GREY,.TRUE.)
      CALL TEXT(1.,0.5,'with border')   

CCC --- we draw the second frame       
      CALL MICKEY_MOUSE(1,2,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
CCC --- we fill a triangle without border      
      CALL CLOSE_FILL(XDES,YDES,NDES,GREY,.FALSE.)
      CALL TEXT(1.,0.5,'without border')
      
CCC   correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)
CCC   for fine adjustment of the picture inside the text
          
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

      CALL END_GGG
      
      END
