CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                   C
C  SOOOME BITMAPS                   C
C   GCD EXAMPLE                     C
C                                   C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      COMMON/SIZES/SIZE(4)
      DATA SIZE/10.,10.,1.,1./
      INTEGER PGCD,I,J,XK,YK
      
CCC --- begin of the GGG environment           
      CALL BEGIN_GGG('misc7')
      
      XMIN=0.
      XMAX=101.
      YMIN=0.
      YMAX=101.
CCC --- we draw the frame             	
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL THICK_PIXEL(2)
      CALL SCALE_CHAR(0.8)
      CALL FRAME
      CALL THICK_PIXEL(3)
      
CCC --- we prepare the BITMAP subroutines

      CALL BITMAP_PREPARE

CCC --- compute the GCD of two integers I and J, for I,J=1,100
     
      DO I=1,100
        DO J=1,100
          CALL GCD(I,J,PGCD)
	  IF (PGCD .EQ. 1) THEN
            CALL BITMAP_POINT(1.*I,1.*J,8)
	  END IF  
        END DO
      END DO	

CCC --- we send the picture 

      CALL BITMAP_SEND
      
CCC --- we plot the axes
      
      X0=0.
      Y0=0.
      X1=1.
      X2=100.
      XD=10.
      XK=1
      IDIGIT=0
      CALL AXEX(X0,Y0,X1,X2,XD,XK)
      CALL LABEL_X(X0,Y0,X1,X2,XD,IDIGIT)
      
      Y1=1.
      Y2=100.
      YD=10.
      YK=1
      CALL AXEY(X0,Y0,Y1,Y2,YD,YK)        
      CALL LABEL_Y(X0,Y0,Y1,Y2,YD,IDIGIT)   

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)
CCC --- for fine adjustment of the picture inside the text
          
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

      CALL END_GGG
      
      END

CCC --- compute the gcd of two integers A,B      
      SUBROUTINE GCD(A,B,PGCD)
      INTEGER A,B,R,LARGE,SMALL,PGCD
      
        IF (A .GE. B) THEN
          LARGE=A
	  SMALL=B
        ELSE
          LARGE=B
	  SMALL=A
        END IF	
      
        R=MOD(LARGE,SMALL)
        
        DO WHILE (R .NE. 0)
          LARGE=SMALL
	  SMALL=R
	  R=MOD(LARGE,SMALL)
        END DO
        
        PGCD=SMALL
        RETURN
      END SUBROUTINE GCD
      
      
      
      
      
      
      
      
      
      
      
      
      
      
