CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW A SINE USING LINGARROW                  C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCC --- XDES,YDES ---> points for the curve (x,sin(x))
CCC --- NDES ---> number of points for the curve
      PARAMETER(NDES=50)
      DIMENSION XDES(NDES),YDES(NDES)    
      COMMON/SIZES/SIZE(4)
      DATA SIZE/5.,4.,1.,1./
      
      PI=4*ATAN(1.)

CCC --- begin of the GGG environment        
      CALL BEGIN_GGG('arrow3')
CCC --- local coordinates
      XMIN=-PI+0.2
      XMAX=PI
      YMIN=-1.
      YMAX=1.

CCC --- we draw the first frame 

      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

      DO I=1,NDES
         XDES(I)=-PI+I*(2.*PI)/NDES
	 YDES(I)=SIN(XDES(I))
      END DO
      AMM=2.

CCC --- we connect the points (XDES,YDES)
CCC --- and write a text       
      CALL LINGARROW(XDES,YDES,NDES,AMM)
      CALL TEXT(-2.5,0.7,'Sine function')

CCC --- we draw the second frame

      CALL MICKEY_MOUSE(1,2,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
      
      CALL LINGARROWS(XDES,YDES,NDES,AMM,10)
      CALL TEXT(-2.8,0.7,'With INTER=10')
      
CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text
      
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
