CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW LOGARITHMICAL AXES                      C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      INTEGER :: XK,YK
      COMMON/SIZES/SIZE(4)
      DATA SIZE/7.,4.,1.,1./
      
CCC --- begin of the GGG environment
      CALL BEGIN_GGG('ax2')

      XMIN=-1.
      XMAX=10.
      YMIN=-2.
      YMAX=2.
      KGRAD=-1
      
CCC --- size of the characters and lines    
      CALL SCALE_CHAR(1.)
      CALL THICK_PIXEL(4)
      
CCC --- 1st picture
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
      
CCC --- we draw the x-axes in the logarithmical style
      
      X0=2.
      Y0=0.
      X1=0.
      X2=9.
      KDEL=2
      CALL LOGAX_X(X0,Y0,X1,X2,KDEL,KGRAD)
      CALL TEXT(2.9,1.1,'KDEL=2 for x-axes')
      KDEL=1
      Y1=-1.5
      Y2=1.5
      CALL LOGAX_Y(X0,Y0,Y1,Y2,KDEL,KGRAD)
           
CCC --- 2nd picture

      CALL MICKEY_MOUSE(1,2,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
      
      KDEL=4
      CALL LOGAX_X(X0,Y0,X1,X2,KDEL,KGRAD)
      CALL TEXT(2.9,1.1,'KDEL=4 for x-axes')
      KDEL=1
      CALL LOGAX_Y(X0,Y0,Y1,Y2,KDEL,KGRAD)

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text
   
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
