CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  WE DRAW COLORED CIRCLES                         C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      CHARACTER (8) :: SYM
      COMMON/SIZES/SIZE(4)
      DATA SIZE/5.,3.,1.,1./
      
CCC --- begin of the GGG environment              
      CALL BEGIN_GGG('bub2')

      XMIN=0.
      XMAX=5.
      YMIN=0.
      YMAX=3.

CCC --- AMMBIG is the size of the bubble SYM='circle'
      
      AMMBIG=2.5
      SYM='circle'
      CALL SCALE_CHAR(1.3)

CCC --- we draw the frame      
      CALL MICKEY_MOUSE(1,1,XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

CCC --- we draw a red symbol SYM at position (XX,YY)

      XX=1.
      YY=2.5
      RED=1.
      GREEN=0.
      BLUE=0.
      CALL RGB_BUBBLE(XX,YY,AMMBIG,RED,GREEN,BLUE,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,'RGB=(1,0,0)')

CCC --- we draw a green symbol      
      YY=1.5
      RED=0.
      GREEN=1.
      BLUE=0.
      CALL RGB_BUBBLE(XX,YY,AMMBIG,RED,GREEN,BLUE,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,'RGB=(0,1,0)')

CCC --- we draw a blue symbol      
      YY=0.5
      RED=0.
      GREEN=0.
      BLUE=1.     
      CALL RGB_BUBBLE(XX,YY,AMMBIG,RED,GREEN,BLUE,SYM)     
      CALL TEXT(XX+0.4,YY-0.12,'RGB=(0,0,1)')

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text

      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      
      END
