CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                  C
C  DRAW AND PLACE 3 PICTURES WITH MASOG            C 
C                                                  C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

CCC --- memory for lines and fillings 
      DIMENSION XDES(1000),YDES(1000)
CCC --- initialisation
      COMMON/SIZES/SIZE(4)
      DATA SIZE/3.,3.,1.,1./
      PI=4*ATAN(1.)

CCC --- begin of the GGG environment

      CALL BEGIN_GGG('place2')

      XMIN=0.
      XMAX=1.
      YMIN=0.
      YMAX=1.

CCC --- we draw the first picture

      CALL MASOG(XMIN,XMAX,YMIN,YMAX)
      CALL FRAME
      
      CALL THICK_PIXEL(4)
CCC --- we draw the head     
      CALL BUBBLE(0.5,0.7,7.,1.,'circle')
CCC --- we draw the eyes
      CALL BUBBLE(0.4,0.75,0.4,1.,'circle')
      CALL BUBBLE(0.6,0.75,0.4,1.,'circle')
CCC --- we draw a smile      
      NDES=101
      DO IX=1,NDES
         DESM1=NDES-1
         X=0.33+0.35*(IX-1)/DESM1
         Y=0.6+0.05*SIN(20.*X)
         XDES(IX)=X
         YDES(IX)=Y
      END DO
      CALL THICK_PIXEL(4)
      CALL LING(XDES,YDES,NDES)
       
CCC --- we draw the second picture
       
      CALL MASOG(XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

      CALL THICK_PIXEL(4)
CCC --- we draw the first head1     
      CALL BUBBLE(0.2,0.7,5.,1.,'circle')
CCC --- we draw the eyes1
      CALL BUBBLE(0.15,0.75,0.4,1.,'circle')
      CALL BUBBLE(0.25,0.75,0.4,1.,'circle')
CCC --- we draw a smile1     
      CALL THICK_PIXEL(4)
      CALL LINE(0.15,0.63,0.25,0.63)

CCC --- we draw the second head2     
      CALL BUBBLE(0.8,0.7,5.,1.,'circle')
CCC --- we draw the eyes2
      CALL BUBBLE(0.75,0.75,0.5,1.,'xstar')
      CALL BUBBLE(0.85,0.75,0.5,1.,'laurel')
CCC --- we draw a smile2
      ANG=PI
      RAD=0.1
      DO I=1,100
	XDES(I)=0.8+RAD*COS(ANG+0.03*I)
	YDES(I)=0.7+RAD*SIN(ANG+0.03*I)
      END DO  
      CALL THICK_PIXEL(4)
      CALL SELECT_LINE_TYPE(7)
      CALL LING_OPEN(XDES,YDES,100)

CCC --- we draw the third picture
     
      CALL MASOG(XMIN,XMAX,YMIN,YMAX)
      CALL FRAME

      CALL THICK_PIXEL(4)
CCC --- we draw the first head1     
      CALL BUBBLE(0.2,0.7,5.,1.,'circle')
CCC --- we draw the eyes1
      CALL BUBBLE(0.15,0.75,0.4,1.,'xstar')
      CALL BUBBLE(0.25,0.75,0.4,1.,'laurel')
CCC --- we draw a smile1
      ANG=PI
      RAD=0.1
      DO I=1,100
	XDES(I)=0.2+RAD*COS(ANG+0.03*I)
	YDES(I)=0.7+RAD*SIN(ANG+0.03*I)
      END DO  
      CALL THICK_PIXEL(4)
      CALL SELECT_LINE_TYPE(7)
      CALL LING_OPEN(XDES,YDES,100)

CCC --- we draw the second head2     
      CALL BUBBLE(0.8,0.7,5.,1.,'circle')
CCC --- we draw the eyes
      CALL BUBBLE(0.75,0.75,0.5,1.,'xstar')
      CALL BUBBLE(0.85,0.75,0.5,1.,'laurel')
CCC --- we draw a smile2
      ANG=PI
      RAD=0.1
      DO I=1,100
	XDES(I)=0.8+RAD*COS(ANG+0.03*I)
	YDES(I)=0.7+RAD*SIN(ANG+0.03*I)
      END DO  
      CALL THICK_PIXEL(4)
      CALL SELECT_LINE_TYPE(7)
      CALL LING_OPEN(XDES,YDES,100)

CCC --- correct bounding box (LEFT,RIGHT,DOWN,UP; IN CM)----
CCC --- for fine adjustment of the picture inside the text          
  
      CALL GREATER_BOUNDINGBOX(0.,0.,0.,0.)

CCC --- close of the environment

      CALL END_GGG
      END
